// The Digital Keys Library  Copyright (C) 1998-2000 RITLABS S.R.L.
// DKlibDyn  Copyright (C) 1998-2000 RITLABS S.R.L.
// Interface unit to load the Digital Keys Library DLL statically

unit DKlibSt;

interface uses DkLibAPI, Windows;

// Import the Digital Keys Library functions


function DK_LoadKeyrings(const Params: TdkLoadKeyringsParam): BOOL; stdcall; 
function DK_Encode(const Params: TdkEncodeParam): BOOL; stdcall; 
function DK_Decode(const Params: TdkDecodeParam): BOOL; stdcall; 
function DK_Free: BOOL; stdcall; 
function DK_GetLastError: DWORD; stdcall; 

implementation

// Import the Digital Keys Library functions

const
  DLL = 'dklib32.dll';

function DK_LoadKeyrings(const Params: TdkLoadKeyringsParam): BOOL; stdcall; external DLL;
function DK_Encode(const Params: TdkEncodeParam): BOOL; stdcall; external DLL;
function DK_Decode(const Params: TdkDecodeParam): BOOL; stdcall; external DLL;
function DK_Free: BOOL; stdcall; external DLL;
function DK_GetLastError: DWORD; stdcall; external DLL;


end.
